---
title: Range.isPointInRange()
slug: Web/API/Range/isPointInRange
tags:
  - API
  - DOM
  - Experimental
  - Method
  - Range
  - Reference
---
<p>{{ApiRef("DOM")}}{{seeCompatTable}}</p>

<p>The <strong><code>Range.isPointInRange()</code></strong> method returns a boolean indicating whether the given point is in the {{domxref("Range")}}. It returns <code>true</code> if the point (cursor position) at <code>offset</code> within <code>ReferenceNode</code> is within this range.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>bool</em> = <em>range</em>.isPointInRange( <em>referenceNode</em>, <em>offset</em> )
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>referenceNode</em></dt>
 <dd>The {{domxref("Node")}} to compare with the {{domxref("Range")}}.</dd>
 <dt><em>offset</em></dt>
 <dd>The offset into {{domxref("Node")}} of the point to compare with the {{domxref("Range")}}.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">range = document.createRange();
range.selectNode(document.getElementsByTagName("div").item(0));
bool = range.isPointInRange(document.getElementsByTagName("p").item(0),1);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-ispointinrange', 'Range.isPointInRange()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.isPointInRange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
